Rated 5 out of 5 stars

Compatible with FF 3.5.x if you unzip it, update install.rdf so the max version is larger (I use 99.0), rezip to xpi then install by drag-and-drop to the add-ons window.

This review is for a previous version of the add-on (0.1f).